// -*- mode:c++ -*-
//
// Header file utils.hh
//
// Copyright (c) 2001 Raoul M. Gough
//
// History
// =======
// 2001/ 7/29	rmg	File creation
//

#ifndef utils_included
#define utils_included

#include <iostream>
#include <vector>
#include <deque>

template <typename T>
std::ostream& operator<< (std::ostream& strm, const std::vector<T>& v)
{
  for (std::vector<T>::const_iterator iter = v.begin()
	 ; iter != v.end()
	 ; ++iter)
    {
      if (iter != v.begin())
	{
	  strm << ", ";
	}

      strm << *iter;
    }

  return strm;
}

template <typename T>
std::ostream& operator<< (std::ostream& strm, const std::deque<T>& v)
{
  for (std::deque<T>::const_iterator iter = v.begin()
	 ; iter != v.end()
	 ; ++iter)
    {
      if (iter != v.begin())
	{
	  strm << ", ";
	}

      strm << *iter;
    }

  return strm;
}

#endif // utils_included
